> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new stage

> Create a new pipeline status



## OpenAPI

````yaml post /v1.0/{company_id}/pipeline-stages
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/pipeline-stages:
    post:
      tags:
        - PipelineStages
      operationId: PipelineStages_CreateStage
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePipelineStageRequest'
        required: true
        x-position: 2
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfPipelineSubStage'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    CreatePipelineStageRequest:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
          description: The name of the pipeline stage. eg. `2nd round interview`
        parent_stage:
          $ref: '#/components/schemas/ParentStage'
    SingleResponseOfPipelineSubStage:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/PipelineSubStage'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    ParentStage:
      type: string
      description: ''
      x-enumNames:
        - Rejected
        - New
        - Screening
        - Interviewing
        - Offered
        - Hired
      enum:
        - rejected
        - new
        - screening
        - interviewing
        - offered
        - hired
    PipelineSubStage:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
          description: The name of the pipeline stage. eg. `2nd round interview.`
        parent_stage:
          $ref: '#/components/schemas/ParentStage'
        display_order:
          type: integer
          description: A number indicating the order of the stage in its group.`
          format: int32
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````